/*
   USB/COM port connection library
   by paul69, v0.00, 2003-02-08, <e2500@narod.ru>

   Supported camera:
      (not tested)
*/
#define STRICT
#include <windows.h>
#pragma hdrstop

#include <stdio.h>
#include "dsc_connect.h"

////////////////////////////////////////////////////////////////////////////////
//
//
//
//
//

DSC::DSC(void* _handle, const char* _comment)
: handle( _handle )
{
   strncpy(comment, _comment, sizeof(comment)-1);

   comment[ sizeof(comment)-1 ] = '\0';
}

DSC::~DSC()
{
   if( handle == INVALID_HANDLE_VALUE )
      return;

   ::CloseHandle( handle );
   handle = INVALID_HANDLE_VALUE;
}

////////////////////////////////////////////////////////////////////////////////

bool TResponce::append(const void* data, unsigned _size)
{
   char* prev = ptr;
   int new_size = size + _size;

   ptr = new char[new_size];

   if( !ptr )
   {
      ptr = prev;
      return false;
   }

   if( size )
      memcpy( ptr, prev, size );

   delete [] prev;

   if( _size )
      memcpy( ptr+size, data, _size );

   size = new_size;
   return true;
}

